{% extends 'base.html' %}

{% block title %}Secrets{% endblock %}
{% block active_tab %}Secrets{% endblock %}

{% block content %}
    <div class="content-base list-header">
        <h4>Secrets</h4>
        {{ md.add_button('Create', 'secret_create') }}
    </div>

    <div class="content-base no-pad">
        <table class="table">
            <thead>
            <tr>
                <th>Name</th>
                <th>Type</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for secret in secrets %}
                <tr>
                    <td>
                        {{ secret.metadata.name }}
                        {{ md.entity_info_button(entity=secret, class='small-icon ml5') }}
                    </td>
                    <td>{{ secret.type }}</td>
                    <td class="button-column">
                        {% if secret.metadata.name.startswith('default-token') %}
                        {{ md.table_no_button() }}
                        {% else %}
                        {{ md.post_button('Delete', 'delete_outline', 'delete-button', url_for('secret_delete', name=secret.metadata.name)) }}
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
            {% if not secrets %}
                <tr>
                    <td class="empty-msg">No secrets yet</td>
                    <td></td>
                    <td></td>
                </tr>
            {% endif %}
            </tbody>
        </table>
    </div>
{% endblock %}
